Bug 495746 - Changing resolution causes irreparable white screen
Changing resolution causes irreparable white screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 11:37 EDT by Bryan Christ
Modified: 2009-04-20 17:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 17:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log fiel (218.57 KB, text/plain)
2009-04-17 12:02 EDT, Bryan Christ
no flags Details

  None (edit)
Description Bryan Christ 2009-04-14 11:37:46 EDT
Description of problem:

Changing the screen resolution with gnome-display-properties cause the screen to go white.  Killing the server with ctrl-alt-backspace has no effect.  Switching to a standard VT also does not remedy the problem.  The only way to restore the screen is to (blindly) switch to a VT and hit ctrl-alt-delete.  After reboot the screen was restored.  I tried changing my resolution from a higher one to both 1024x768 60Hz and 1280x1024 60Hz.  Both of these resolution changes manifest the problem.

Version-Release number of selected component (if applicable):

xorg-x11-drv-intel-2.6.99.902-3.fc11.i586
kernel-PAE-2.6.29.1-70.fc11.i586

This did not happen until the latest update from rawhide (4/14).  I did an update on 4/13 from rawhide and all was fine.  Something broke in between.

How reproducible:  100%


Steps to Reproduce:
1.  Install F11 beta1 (32-bit) from DVD
2.  Fetch latest updates from rawhide
3.  Try to change resolution with gnome-display-properties
  
Actual results:

White screen which will not go away without reboot.

Expected results:

Normal resolution change.

Additional info:

System in test is a Compaq dc7100 with integrated intel 915 graphics.
Monitor is a Compaq P700
Comment 1 Bryan Christ 2009-04-14 11:41:24 EDT
Booting with the previous kernel (2.6.29.1-68) did not fix the problem.
Comment 2 Bryan Christ 2009-04-14 11:46:26 EDT
After booting with the 2.6.29.1-54 kernel, I still had the problem, but on the subsequent reboot (back to the 2.6.29.1-70 kernel) the resolution changes were kept and the screen did not go white.  I am also now able to change the resolution from 1024x768 to 1280x1024 without seeing the problem.
Comment 3 Bryan Christ 2009-04-14 12:03:10 EDT
After a subsequent reboot, the problem has returned.
Comment 4 Adam Williamson 2009-04-16 17:31:10 EDT
Sounds like something strange going on when the card is initialized, but - we're going to need your X log (/var/log/Xorg.0.log) and /etc/X11/xorg.conf if it exists.

It would be particularly interesting to see /var/log/Xorg.0.log after the problem has manifested. Can you trigger the bug, then reboot *directly to runlevel 3* - add '3' as a kernel parameter - and take a copy of /var/log/Xorg.0.log before starting X? That should be the Xorg.0.log from before the reboot, when the problem triggered, and that's what we'd like to see. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bryan Christ 2009-04-17 11:56:45 EDT
no xorg.conf
Comment 6 Bryan Christ 2009-04-17 12:02:08 EDT
Attaching the requested log file captured from a reboot to directly to init 3.
Comment 7 Bryan Christ 2009-04-17 12:02:37 EDT
Created attachment 340029 [details]
Xorg log fiel
Comment 8 Adam Williamson 2009-04-17 13:17:44 EDT
Thanks a lot.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Bryan Christ 2009-04-20 13:52:12 EDT
Retested with kernel-2.6.29.1-100 and xorg-x11-drv-intel-2.7.0-1 and problem seems resolved.

I would recommend closing this bug as fixed and I can reopen if the problem returns.
Comment 10 Adam Williamson 2009-04-20 17:06:28 EDT
sounds good to me!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.